Package com.meterware.httpunit.scripting

# Interface ScriptingEventHandler

All Known Subinterfaces:
  `FormScriptable`, `HTMLElement`, `ScriptingEngine`, `ScriptingHandler`

All Known Implementing Classes:
  `BlockElement`, `Button`, `FormControl`, `FormControl.Scriptable`, `HTMLPage.Scriptable`, `RadioButtonFormControl`, `RadioGroupFormControl`, `ResetButton`, `ScriptableDelegate`, `SubmitButton`, `TableCell`, `TableRow`, `TextBlock`, `WebApplet`, `WebForm`, `WebForm.Scriptable`, `WebImage`, `WebImage.Scriptable`, `WebLink`, `WebLink.Scriptable`, `WebList`, `WebRequestSource`, `WebResponse.Scriptable`, `WebTable`

public interface ScriptingEventHandler
interface for every object that may have excutable events and their scripts attached

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`boolean`
`doEvent(String eventScript)`
Deprecated.
since 1.7
`boolean`
`doEventScript(String eventScript)`
run the Script for the given Event
`boolean`
`handleEvent(String eventName)`
handle the event with the given name by getting the attribute and then executing the eventScript for it

## Method Details

### doEvent

boolean doEvent(String eventScript)
Deprecated.
since 1.7
run the Script for the given Event

Parameters:
  `eventScript` -
Returns:
  true if the script is empty or the result of the script

### doEventScript

boolean doEventScript(String eventScript)
run the Script for the given Event

Parameters:
  `eventScript` -
Returns:
  true if the script is empty or the result of the script
Since:
  1.7

### handleEvent

boolean handleEvent(String eventName)
handle the event with the given name by getting the attribute and then executing the eventScript for it

Parameters:
  `eventName` -
Returns:
  the result of doEventScript